
import { request } from 'umi';
import { gameApi, api } from '../api';

/**
 * 腾讯所有推广账号列表
 * @returns 
 */
export async function getAllOfOwnerUserApi() {
    return request(gameApi + `/adq/adAccount/allOfOwnerUser`, {
        method: 'GET',
    });
}

/**
 * 头条所有广告账号
 * @returns 
 */
export async function getTtAllUserListApi() {
    return request(gameApi + `/oceanengine/adAccount/allOfUser`, {
        method: 'GET',
    });
}


/**
 * 游戏选择列
 * @returns 
 */
export async function getGameChoiceListApi() {
    return request(gameApi + `/manage/choice/game/list`, {
        method: 'GET',
    });
}

/**
 * 投手列表
 * @returns 
 */
export async function getSubUserWithSelfListApi() {
    return request(gameApi + '/erp/user/subUserWithSelf');
}

/**
 * 渠道选择列表
 * @returns 
 */
export async function getChannelChoiceListApi() {
    return request(gameApi + `/manage/choice/agent/list`, {
        method: 'GET',
    });
}


/**
 * 游戏应用类型
 * @returns 
 */
export async function getGameChoiceParentListType1Api() {
    return request(gameApi + `/manage/choice/game/category/list`, {
        method: 'GET',
    });
}

/**
 * 操作系统选择列表
 * @returns 
 */
export async function getUserSystemTypeChoiceListApi() {
    return request(gameApi + `/manage/choice/os/type/list`, {
        method: 'GET',
    });
}


/**
 * 获取支付方式列表
 * @returns 
 */
export async function getPayListApi() {
    return request(gameApi + '/manage/choice/pay/way/list');
}